QScintilla 2.14.1

Public Member Functions | Protected Member Functions | List of all members
QsciLexerXML Class Reference

`#include <qscilexerxml.h>`

Inherits QsciLexerHTML.

## Public Member Functions
| QsciLexerXML (QObject *parent=0)
virtual | ~QsciLexerXML ()
const char * | language () const
const char * | lexer () const
QColor | defaultColor (int style) const
bool | defaultEolFill (int style) const
QFont | defaultFont (int style) const
QColor | defaultPaper (int style) const
const char * | keywords (int set) const
void | refreshProperties ()
void | setScriptsStyled (bool styled)
bool | scriptsStyled () const
Public Member Functions inherited from QsciLexerHTML
| QsciLexerHTML (QObject *parent=0)
virtual | ~QsciLexerHTML ()
const char * | autoCompletionFillups () const
const char * | wordCharacters () const
QString | description (int style) const
bool | caseSensitiveTags () const
void | setDjangoTemplates (bool enabled)
bool | djangoTemplates () const
bool | foldCompact () const
bool | foldPreprocessor () const
void | setFoldScriptComments (bool fold)
bool | foldScriptComments () const
void | setFoldScriptHeredocs (bool fold)
bool | foldScriptHeredocs () const
void | setMakoTemplates (bool enabled)
bool | makoTemplates () const
Public Member Functions inherited from QsciLexer
| QsciLexer (QObject *parent=0)
virtual | ~QsciLexer ()
virtual int | lexerId () const
QsciAbstractAPIs * | apis () const
virtual QStringList | autoCompletionWordSeparators () const
int | autoIndentStyle ()
virtual const char * | blockEnd (int *style=0) const
virtual int | blockLookback () const
virtual const char * | blockStart (int *style=0) const
virtual const char * | blockStartKeyword (int *style=0) const
virtual int | braceStyle () const
virtual bool | caseSensitive () const
virtual QColor | color (int style) const
virtual bool | eolFill (int style) const
virtual QFont | font (int style) const
virtual int | indentationGuideView () const
virtual int | defaultStyle () const
virtual QColor | paper (int style) const
QColor | defaultColor () const
QFont | defaultFont () const
QColor | defaultPaper () const
QsciScintilla * | editor () const
void | setAPIs (QsciAbstractAPIs *apis)
void | setDefaultColor (const QColor &c)
void | setDefaultFont (const QFont &f)
void | setDefaultPaper (const QColor &c)
virtual void | setEditor (QsciScintilla *editor)
bool | readSettings (QSettings &qs, const char *prefix="/Scintilla")
virtual int | styleBitsNeeded () const
bool | writeSettings (QSettings &qs, const char *prefix="/Scintilla") const

## Protected Member Functions
bool | readProperties (QSettings &qs, const QString &prefix)
bool | writeProperties (QSettings &qs, const QString &prefix) const
Protected Member Functions inherited from QsciLexer
QByteArray | textAsBytes (const QString &text) const
QString | bytesAsText (const char *bytes, int size) const

## Additional Inherited Members
Public Types inherited from QsciLexerHTML
enum | { Default = 0, Tag = 1, UnknownTag = 2, Attribute = 3, UnknownAttribute = 4, HTMLNumber = 5, HTMLDoubleQuotedString = 6, HTMLSingleQuotedString = 7, OtherInTag = 8, HTMLComment = 9, Entity = 10, XMLTagEnd = 11, XMLStart = 12, XMLEnd = 13, Script = 14, ASPAtStart = 15, ASPStart = 16, CDATA = 17, PHPStart = 18, HTMLValue = 19, ASPXCComment = 20, SGMLDefault = 21, SGMLCommand = 22, SGMLParameter = 23, SGMLDoubleQuotedString = 24, SGMLSingleQuotedString = 25, SGMLError = 26, SGMLSpecial = 27, SGMLEntity = 28, SGMLComment = 29, SGMLParameterComment = 30, SGMLBlockDefault = 31, JavaScriptStart = 40, JavaScriptDefault = 41, JavaScriptComment = 42, JavaScriptCommentLine = 43, JavaScriptCommentDoc = 44, JavaScriptNumber = 45, JavaScriptWord = 46, JavaScriptKeyword = 47, JavaScriptDoubleQuotedString = 48, JavaScriptSingleQuotedString = 49, JavaScriptSymbol = 50, JavaScriptUnclosedString = 51, JavaScriptRegex = 52, ASPJavaScriptStart = 55, ASPJavaScriptDefault = 56, ASPJavaScriptComment = 57, ASPJavaScriptCommentLine = 58, ASPJavaScriptCommentDoc = 59, ASPJavaScriptNumber = 60, ASPJavaScriptWord = 61, ASPJavaScriptKeyword = 62, ASPJavaScriptDoubleQuotedString = 63, ASPJavaScriptSingleQuotedString = 64, ASPJavaScriptSymbol = 65, ASPJavaScriptUnclosedString = 66, ASPJavaScriptRegex = 67, VBScriptStart = 70, VBScriptDefault = 71, VBScriptComment = 72, VBScriptNumber = 73, VBScriptKeyword = 74, VBScriptString = 75, VBScriptIdentifier = 76, VBScriptUnclosedString = 77, ASPVBScriptStart = 80, ASPVBScriptDefault = 81, ASPVBScriptComment = 82, ASPVBScriptNumber = 83, ASPVBScriptKeyword = 84, ASPVBScriptString = 85, ASPVBScriptIdentifier = 86, ASPVBScriptUnclosedString = 87, PythonStart = 90, PythonDefault = 91, PythonComment = 92, PythonNumber = 93, PythonDoubleQuotedString = 94, PythonSingleQuotedString = 95, PythonKeyword = 96, PythonTripleSingleQuotedString = 97, PythonTripleDoubleQuotedString = 98, PythonClassName = 99, PythonFunctionMethodName = 100, PythonOperator = 101, PythonIdentifier = 102, ASPPythonStart = 105, ASPPythonDefault = 106, ASPPythonComment = 107, ASPPythonNumber = 108, ASPPythonDoubleQuotedString = 109, ASPPythonSingleQuotedString = 110, ASPPythonKeyword = 111, ASPPythonTripleSingleQuotedString = 112, ASPPythonTripleDoubleQuotedString = 113, ASPPythonClassName = 114, ASPPythonFunctionMethodName = 115, ASPPythonOperator = 116, ASPPythonIdentifier = 117, PHPDefault = 118, PHPDoubleQuotedString = 119, PHPSingleQuotedString = 120, PHPKeyword = 121, PHPNumber = 122, PHPVariable = 123, PHPComment = 124, PHPCommentLine = 125, PHPDoubleQuotedVariable = 126, PHPOperator = 127 }
Public Slots inherited from QsciLexerHTML
virtual void | setFoldCompact (bool fold)
virtual void | setFoldPreprocessor (bool fold)
virtual void | setCaseSensitiveTags (bool sens)
Public Slots inherited from QsciLexer
virtual void | setAutoIndentStyle (int autoindentstyle)
virtual void | setColor (const QColor &c, int style=-1)
virtual void | setEolFill (bool eoffill, int style=-1)
virtual void | setFont (const QFont &f, int style=-1)
virtual void | setPaper (const QColor &c, int style=-1)
Signals inherited from QsciLexer
void | colorChanged (const QColor &c, int style)
void | eolFillChanged (bool eolfilled, int style)
void | fontChanged (const QFont &f, int style)
void | paperChanged (const QColor &c, int style)
void | propertyChanged (const char *prop, const char *val)

## Detailed Description

The QsciLexerXML class encapsulates the Scintilla XML lexer.

## Constructor & Destructor Documentation

## ◆ QsciLexerXML()

QsciLexerXML::QsciLexerXML | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerXML with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

## ◆ lexer()

const char* QsciLexerXML::lexer | ( |  | ) | const
| virtual

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexerHTML.

## ◆ defaultColor()

QColor QsciLexerXML::defaultColor | ( | int | style | ) | const
| virtual

Returns the foreground colour of the text for style number style.

See also
  defaultPaper()

Reimplemented from QsciLexerHTML.

## ◆ defaultPaper()

QColor QsciLexerXML::defaultPaper | ( | int | style | ) | const
| virtual

Returns the background colour of the text for style number style.

See also
  defaultColor()

Reimplemented from QsciLexerHTML.

## ◆ keywords()

const char* QsciLexerXML::keywords | ( | int | set | ) | const
| virtual

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexerHTML.

## ◆ refreshProperties()

void QsciLexerXML::refreshProperties | ( |  | ) |
| virtual

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexerHTML.

## ◆ setScriptsStyled()

void QsciLexerXML::setScriptsStyled | ( | bool | styled | ) |

If allowed is true then scripts are styled. The default is true.

See also
  scriptsStyled()

## ◆ scriptsStyled()

bool QsciLexerXML::scriptsStyled | ( |  | ) | const

Returns true if scripts are styled.

See also
  setScriptsStyled()

## ◆ readProperties()

bool QsciLexerXML::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  |
| protected virtual

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexerHTML.

## ◆ writeProperties()

bool QsciLexerXML::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix
| ) |  | const
| protected virtual

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexerHTML.